Page 1 of 1

PHP Selector + CentOS 7 + Apache + Nginx + PHP7 & PHP5

Posted: Sun Jan 12, 2020 1:55 pm
by shonir
Hello Everyone,

i am new in vestacp move from cpanel. i recently installed vestacp (CentOS+Apache+Nginx) on my VPS. everything is working fine. vestacp given me by default php7.4 and its nice. one of my website required php 5.6 so i choose php selector and installed. after the installation my all websites moved to php5.6 and bu default now php version is 5.6 but when i run command in ssh php -v its show me php 7.4. my phpmyadmin is dead because its required atleast php 7.1 and roundcube also dead because of php old version.

i want to keep php 7.4 as default version and 5.6 for some website when i required. i created package with different php version but still getting same php 5 version.

i reinstall all version of php but no luck now showing version php 5.4.

i dont how to fix it. i research alo on google and read existing topic on vestacp.com but no solution found.

Thank in advance :)